maim-utils(1)

# NAME

maim-utils - A few common screenshot options rolled into one script based on maim

# SYNOPSIS

*maim-utils* _<fullscreen|focus|selection|fancy>_

*maim-utils* _<clip-fullscreen|clip-focus|clip-selection|fancy-clip>_

# DESCRIPTION

I wrote around six scripts to take screenshots in various different ways a few
years ago and at some point I got the idea to turn it into a single script.
*maim-utils* is the result of that. It only took me a few years to finally get
to it.

# CONFIGURATION

*maim-utils* saves it's screenshots to '*~/Pictures/Screenshots*' by default.
This can be changed by setting the *$SCROTDIR* environment variable.

# COMMANDS

*fullscreen* and *full*
	Take a screenshot of the entire screen and save it to the screenshot
	directory.

*selection* and *sel*
	Take a screenshot based on a rectangular selection and save it to the
	screenshot directory.

*focus*
	Take a screenshot of the currently focussed window and save it to the
	screenshot directory.

*fancy*
	Take a screenshot of a window and add a fancy looking dropshadow effect
	using imagemagick.

*clip-fullscreen*, *clip-full* and *full-clip*
	Take a screenshot of the entire screen and write it to the clipboard.

*clip-focus* and *focus-clip*
	Take a screenshot of the currently focus window and write it to the
	clipboard.

*fancy-clip*
	Take a screenshot of a window, add a fancy looking dropshadow effect
	using imagemagick and write it to the clipboard.

*clip-selection*, *clip-sel* and *sel-clip*
	Take a screenshot based on a rectangular selection and write it to the
	clipboard.

*open*, *show* and *screenshots*
	Open the directory containing screenshots.
